# XMLModelRenderer

class XMLModelRenderer extends ModelRenderer

Converts model object structure into XML string

## Constants

CLASS_TAGS |
CLASS_POSTS |
CLASS_USERS |
CLASS_GROUPS |
CLASS_DOCUMENTS |
CLASS_RESOURCE |
CLASS_BOOKMARK |
CLASS_BIBTEX |
CLASS_TAG |
CLASS_POST |
CLASS_USER |
CLASS_GROUP |
CLASS_DOCUMENT |

## Methods

string
render(ModelObject $model)

No description

__construct()

No description

## Details

###
at line 430
`string render(ModelObject $model)`

#### Parameters

ModelObject | $model | Object of type
    ModelObject

#### Return Value

string | XML formatted string

###
at line 133
`__construct()`